Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 758959 - dev-vcs/git-cola-3.8: stabilization request
Summary: dev-vcs/git-cola-3.8: stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: David
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: py39, python3.9-compat
  Show dependency tree
 
Reported: 2020-12-07 20:43 UTC by Stijn Tintel
Modified: 2021-02-25 08:19 UTC (History)
3 users (show)

See Also:
Package list:
dev-vcs/git-cola-3.8
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stijn Tintel 2020-12-07 20:43:57 UTC
Current stable version (dev-vcs/git-cola-3.5-r1) lacks python 3.8 support.

Reproducible: Always
Comment 1 Joonas Niilola gentoo-dev 2020-12-07 21:25:09 UTC
Note that 3.8 was pushed TODAY. Generally we wait ~30 days to get time finding some bugs.

I'd suggest adding python-3.8 in 3.5 for now. Just need to be sure any possible test suites work in 3.5, and it can be done in an instant.
Comment 2 Sam James archtester gentoo-dev Security 2021-02-19 19:35:36 UTC
@maintainer, okay?
Comment 3 Martin Gysel (bearsh) 2021-02-19 20:52:30 UTC
yes! do I need to do something? (I've never done any stabilization...)
Comment 4 Sam James archtester gentoo-dev Security 2021-02-21 04:36:01 UTC
(In reply to Martin Gysel (bearsh) from comment #3)
> yes! do I need to do something? (I've never done any stabilization...)

Saying yes is enough -- because you're not the bug assignee, you can't add CC-ARCHES to keywords (I think) but that'd be what you should do if you are the assignee or you gain editbugs permissions.

Thank you for letting us know!
Comment 5 Sam James archtester gentoo-dev Security 2021-02-24 20:35:56 UTC
amd64 done
Comment 6 Sam James archtester gentoo-dev Security 2021-02-25 08:19:48 UTC
x86 done

all arches done